Skip to content
Start here

Get details for a specific traceroute test run

client.zeroTrust.dex.tracerouteTestResults.networkPath.get(stringtestResultId, NetworkPathGetParams { account_id } params, RequestOptionsoptions?): NetworkPathGetResponse { hops, resultId, deviceName, 2 more }
GET/accounts/{account_id}/dex/traceroute-test-results/{test_result_id}/network-path

Get a breakdown of hops and performance metrics for a specific traceroute test run

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
testResultId: string

API Resource UUID tag.

maxLength36
params: NetworkPathGetParams { account_id }
account_id: string

unique identifier linked to an account

maxLength32
ReturnsExpand Collapse
NetworkPathGetResponse { hops, resultId, deviceName, 2 more }
hops: Array<Hop>

an array of the hops taken by the device to reach the end destination

ttl: number
asn?: number | null
aso?: string | null
ipAddress?: string | null
location?: Location | null
city?: string | null
state?: string | null
zip?: string | null
mile?: "client-to-app" | "client-to-cf-egress" | "client-to-cf-ingress" | "client-to-isp" | null
One of the following:
"client-to-app"
"client-to-cf-egress"
"client-to-cf-ingress"
"client-to-isp"
name?: string | null
packetLossPct?: number | null
formatfloat
rttMs?: number | null
resultId: string

API Resource UUID tag.

maxLength36
deviceName?: string

name of the device associated with this network path response

testId?: string

API Resource UUID tag.

maxLength36
testName?: string

name of the tracroute test

Get details for a specific traceroute test run

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const networkPath = await client.zeroTrust.dex.tracerouteTestResults.networkPath.get(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  { account_id: '01a7362d577a6c3019a474fd6f485823' },
);

console.log(networkPath.hops);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "hops": [
      {
        "ttl": 0,
        "asn": 0,
        "aso": "aso",
        "ipAddress": "ipAddress",
        "location": {
          "city": "city",
          "state": "state",
          "zip": "zip"
        },
        "mile": "client-to-app",
        "name": "name",
        "packetLossPct": 0,
        "rttMs": 0
      }
    ],
    "resultId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "deviceName": "deviceName",
    "testId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "testName": "testName"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "hops": [
      {
        "ttl": 0,
        "asn": 0,
        "aso": "aso",
        "ipAddress": "ipAddress",
        "location": {
          "city": "city",
          "state": "state",
          "zip": "zip"
        },
        "mile": "client-to-app",
        "name": "name",
        "packetLossPct": 0,
        "rttMs": 0
      }
    ],
    "resultId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "deviceName": "deviceName",
    "testId": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "testName": "testName"
  }
}